Extended Fields - Bug #2015
Grouping by custom field not working

21 Mar 2012 15:16 - Vitaly Klimov

Status: Closed Start date: 21 Mar 2012
Priority: Normal Due date: 08 Jul 2012
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.2.0b
Redmine version: 1.3.1 External issue:
Description
With the plugin installed grouping by custom field became broken. Screenshot attached:
Group results by | AWMIO-BecStudio
o Apply @ Clear
v # STATUS START DATE CATEGORY SUBJECT
= [02] RWS Small
[0 57945 WO-Recorded Z012-03-01 11:00 KonecHWKOE, AHTOH
@ [02] RWS Small
B ssoe7 VY-Recorded Z012-03-01 13;30 MuHcKep, Makcum
@ [02] RWS Small
[ szo6s Yi-Recorded z01z2-03-01 1430 MopocTeHED, Qner
= [02] RWS Small
[ 57475 Wi-Recorded 2012-03-01 16:00 CapkHcoEa, HHKa
@ [02] RWS Small
[ 55479 Wi-Recorded Z01z2-03-02 11:00 EnenHEIA, Mnea
Related issues:
Related to Extended Fields - Bug #2138: Issues count is not shown Closed 15Jan 2013 26 Jan 2013

Associated revisions

Revision 46 - 08 Jul 2012 09:19 - Andriy Lesyuk

Overrode fetch_row_values for extended fields (fixes #2023), added == for CustomValue and _list.html.erb (fixes #2015), added Turkish translation

(thanks Ismail Sezen)

History

#1 - 24 Mar 2012 13:28 - Andriy Lesyuk

- Status changed from New to Open

Thanks for reporting!

#2 - 26 Mar 2012 07:09 - Vitaly Klimov

Actually it seems that this bug is caused by Redmine core - when splitting issues by group (file issues\_list.html.erb) Redmine does not convert

group names to string thus comparing two CustomValue objects in our case. So there are two solutions:

e one is to correct this in _list.html.erb
® second is convert returned value to string explicitely in extended_query_custom_field_column.rb - although i do not know if it would cause

problems in logic
#3 - 09 Apr 2012 00:17 - Andriy Lesyuk

- Target version set to 0.2.0b

#4 - 08 Jul 2012 09:21 - Andriy Lesyuk
- Due date set to 08 Jul 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100
